Threaded::count
Threaded::from
Threaded
PHP Manual

# Threaded::extend

(PECL pthreads >= 2.0.8)

Threaded::extend — Runtime Manipulation

### Description

public bool Threaded::extend ( string `$class` )

Makes thread safe standard class at runtime

### Parameters

`class`

  The class to extend

### Return Values

A boolean indication of success

### Examples

Example #1 Runtime inheritance

`<?php
class My {}
Threaded::extend(My::class);
$my = new My();
var_dump($my instanceof Threaded);
?>`

The above example will output:

    bool(true)

Threaded::count
Threaded::from
Threaded
PHP Manual